# Clean Flash Player

[![Patreon](https://img.shields.io/badge/Kofi-donate-purple.svg)](https://ko-fi.com/disyer) [![MIT license](https://img.shields.io/badge/License-MIT-blue.svg)](https://github.com/darktohka/FlashPatch/blob/master/LICENSE)

![Image of Clean Flash Player](https://i.imgur.com/1JID6nk.png)

[Download latest version](https://github.com/CleanFlash/installer/releases/latest)

## What's this?

Clean Flash Player is a distribution of Adobe Flash Player, with the mission of keeping the original Flash Player alive for compatibility and ease of use.

The original Flash Player was discontinued on January 12th, 2021. Adobe is committed to keeping Flash Player alive in the Chinese region, however, by providing official monthly updates to Flash Player in China.

Clean Flash Player uses a modified version of this updated Flash Player version, keeping Flash Player clean from adware.

Google Chrome, Mozilla Firefox and Internet Explorer browser plugins are supported. Clean Flash Player ships with a standalone Flash Projector as well.

**Clean Flash is compatible and tested with Windows XP, Windows Vista, Windows 7, Windows 8.1 and Windows 10**. If attempting to run on Windows XP, download [.NET Framework 4.0](https://dotnet.microsoft.com/download/dotnet-framework/net40) first and optionally update to [.NET Framework 4.0.3](https://www.microsoft.com/en-us/download/details.aspx?id=29053).

## Browser compatibility

Newer versions of Google Chrome and Mozilla Firefox do not support Flash Player anymore.

To keep using Flash Player on **Google Chrome**, install an older version of Chrome. The last supported version is Chrome 87.0.4280.168.

To keep using Flash Player on **Mozilla Firefox**, install [**Basilisk Browser**](https://basilisk-browser.org) or [**Waterfox**](https://waterfox.net). Both of them are forks of Mozilla Firefox with built-in Flash Player support.

**Internet Explorer** still supports Flash Player on Windows.

## Usage

- Make sure you have a compatible browser to use Flash Player with
- Download the latest version from [GitHub](https://github.com/CleanFlash/installer/releases/latest)
- Extract the installer and run it
- Accept the disclaimer
- Choose which browser plugins to install
- Choose to install the standalone projector or not
- Close all browser windows, or let the installer close them for you
- Press the "Install" button and wait for Flash Player to install
- Enjoy using Flash Player!

**P.S.** The Clean Flash Player installer will automatically close all browser windows when updating Flash Player. It will also uninstall all previous versions of Flash Player, as well as the adware Flash Center application. The installer will also create an uninstaller that you can use to uninstall Clean Flash at any time.
